<?php
function epcl_render_share_buttons( $position = '' ){
    global $post;
    
    $epcl_theme = epcl_get_theme_options();
    $button_class = '';
    $wrapper_class = 'epcl-share';
    if( $position == 'bottom' ){
        $wrapper_class = 'epcl-share-bottom';
        $button_class = 'button circle';
    }
    ?>
    <div class="<?php echo esc_attr($wrapper_class); ?>">
        <?php
        $share_summary = get_the_excerpt();
        $share_url = wp_get_shortlink();
        $share_title = html_entity_decode(get_the_title(), ENT_COMPAT, 'UTF-8');
        $share_media = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'large' );
        ?>
        <?php if( isset( $epcl_theme['enable_single_facebook'] ) && $epcl_theme['enable_single_facebook'] !== '0'): ?>
            <a class="facebook <?php echo esc_attr($button_class); ?>" rel="nofollow noopener" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url($share_url); ?>"
    onclick="window.open(this.href, 'facebook-share','width=580,height=296');return false;"><i class="fa fa-facebook"></i></a>
        <?php endif; ?>
        <?php if( isset( $epcl_theme['enable_single_twitter'] ) && $epcl_theme['enable_single_twitter'] !== '0'): ?>    
        <a class="twitter <?php echo esc_attr($button_class); ?>" rel="nofollow noopener"  href="http://twitter.com/share?text=<?php echo urlencode($share_title); ?>&url=<?php echo esc_url($share_url); ?>"
    onclick="window.open(this.href, 'twitter-share', 'width=550,height=235');return false;"><i class="fa fa-twitter"></i></a>
        <?php endif; ?>
        <?php if( isset( $epcl_theme['enable_single_linkedin'] ) && $epcl_theme['enable_single_linkedin'] == '1'): ?>    
            <a class="linkedin <?php echo esc_attr($button_class); ?>" rel="nofollow noopener"  href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo esc_url($share_url); ?>&title=<?php echo urlencode($share_title); ?>&summary=<?php echo urlencode($share_summary); ?>" onclick="window.open(this.href, 'linkedin-share', 'width=490,height=530');return false;"><i class="fa fa-linkedin"></i></a>
        <?php endif; ?>
        <?php if( isset( $epcl_theme['enable_single_pinterest'] ) && $epcl_theme['enable_single_pinterest'] == '1'): ?>    
            <a class="pinterest <?php echo esc_attr($button_class); ?>" rel="nofollow noopener"  href="//pinterest.com/pin/create/link/?url=<?php echo esc_url($share_url); ?>&media=<?php echo esc_url($share_media); ?>&description=<?php echo urlencode($share_title); ?>" onclick="window.open(this.href, 'pinterest-share', 'width=490,height=530');return false;"><i class="fa fa-pinterest"></i></a>
        <?php endif; ?>
        <?php if( isset( $epcl_theme['enable_single_telegram'] ) && $epcl_theme['enable_single_telegram'] == '1'): ?>    
            <a class="telegram <?php echo esc_attr($button_class); ?>" rel="nofollow noopener"  href="https://telegram.me/share/url?url=<?php echo esc_url($share_url); ?>&text=<?php echo urlencode($share_title); ?>" onclick="window.open(this.href, 'telegram-share', 'width=490,height=530');return false;"><i class="fa fa-telegram"></i></a>
        <?php endif; ?>
        <?php if( isset( $epcl_theme['enable_single_vk'] ) && $epcl_theme['enable_single_vk'] == '1'): ?>    
            <a class="vk <?php echo esc_attr($button_class); ?>" rel="nofollow noopener"  href="http://vk.com/share.php?url=<?php echo esc_url($share_url); ?>&title=<?php echo urlencode($share_title); ?>&comment=<?php echo urlencode($share_summary); ?>" onclick="window.open(this.href, 'vk-share', 'width=490,height=530');return false;"><i class="fa fa-vk"></i></a>
        <?php endif; ?>
        <?php if( isset( $epcl_theme['enable_single_email'] ) && $epcl_theme['enable_single_email'] !== '0'): ?>    
            <a class="email <?php echo esc_attr($button_class); ?>" rel="nofollow noopener"  href="mailto:?subject=<?php echo urlencode($share_title); ?>&body=<?php echo esc_url($share_url); ?>" target="_blank"><i class="fa fa-envelope"></i></a>
        <?php endif; ?>
        <?php if( isset( $epcl_theme['enable_single_whatsapp'] ) && $epcl_theme['enable_single_whatsapp'] !== '0'): ?>    
            <a class="whatsapp <?php echo esc_attr($button_class); ?>" rel="nofollow noopener"  href="https://api.whatsapp.com/send?text=<?php echo esc_url($share_url); ?>" data-action="share/whatsapp/share"><i class="fa fa-whatsapp"></i></a>
        <?php endif; ?>
    </div>
    <?php
}

function epcl_render_header_social_buttons(){
    $epcl_theme = epcl_get_theme_options();
    if(empty( $epcl_theme) ) return; 

    $container_class = 'share-buttons';
    $button_class = '';

    if( isset($_GET['header']) ){
        $epcl_theme['header_type'] = $_GET['header'];
    }
    
    if( $epcl_theme['header_type'] == 'classic' ){
        $container_class = 'epcl-social-buttons';
        $button_class = 'button circle';
    }
    ?>

    <div class="<?php echo esc_attr($container_class); ?> hide-on-tablet hide-on-mobile hide-on-desktop-sm">
        <?php if( epcl_get_option('facebook_url') ): ?>
            <a href="<?php echo esc_url( epcl_get_option('facebook_url') ); ?>" class="<?php echo esc_attr($button_class); ?> facebook" target="_blank" aria-label="Facebook" rel="nofollow noopener"><i class="fa fa-facebook"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('twitter_url') ): ?>
            <a href="<?php echo epcl_get_option('twitter_url'); ?>" class="<?php echo esc_attr($button_class); ?> twitter" target="_blank" aria-label="Twitter" rel="nofollow noopener"><i class="fa fa-twitter"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('linkedin_url') ): ?>
            <a href="<?php echo epcl_get_option('linkedin_url'); ?>" class="<?php echo esc_attr($button_class); ?> linkedin" target="_blank" aria-label="Linkedin" rel="nofollow noopener"><i class="fa fa-linkedin"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('instagram_url') ): ?>
            <a href="<?php echo epcl_get_option('instagram_url'); ?>" class="<?php echo esc_attr($button_class); ?> instagram" target="_blank" aria-label="Instagram" rel="nofollow noopener"><i class="fa fa-instagram"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('pinterest_url') ): ?>
            <a href="<?php echo epcl_get_option('pinterest_url'); ?>" class="<?php echo esc_attr($button_class); ?> pinterest" target="_blank" aria-label="Pinterest" rel="nofollow noopener"><i class="fa fa-pinterest"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('dribbble_url') ): ?>
            <a href="<?php echo epcl_get_option('dribbble_url'); ?>" class="<?php echo esc_attr($button_class); ?> dribbble" target="_blank" aria-label="Dribbble" rel="nofollow noopener"><i class="fa fa-dribbble"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('tumblr_url') ): ?>
            <a href="<?php echo epcl_get_option('tumblr_url'); ?>" class="<?php echo esc_attr($button_class); ?> tumblr" target="_blank" aria-label="Tumblr" rel="nofollow noopener"><i class="fa fa-tumblr"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('youtube_url') ): ?>
            <a href="<?php echo epcl_get_option('youtube_url'); ?>" class="<?php echo esc_attr($button_class); ?> youtube" target="_blank" aria-label="Youtube" rel="nofollow noopener"><i class="fa fa-youtube"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('flickr_url') ): ?>
            <a href="<?php echo epcl_get_option('flickr_url'); ?>" class="<?php echo esc_attr($button_class); ?> flickr" target="_blank" aria-label="Flickr" rel="nofollow noopener"><i class="fa fa-flickr"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('twitch_url') ): ?>
            <a href="<?php echo epcl_get_option('twitch_url'); ?>" class="<?php echo esc_attr($button_class); ?> twitch" target="_blank" aria-label="Twitch" rel="nofollow noopener"><i class="fa fa-twitch"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('vk_url') ): ?>
            <a href="<?php echo epcl_get_option('vk_url'); ?>" class="<?php echo esc_attr($button_class); ?> vk" target="_blank" aria-label="Vkontakte" rel="nofollow noopener"><i class="fa fa-vk"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('telegram_url') ): ?>
            <a href="<?php echo epcl_get_option('telegram_url'); ?>" class="<?php echo esc_attr($button_class); ?> telegram" target="_blank" aria-label="Telegram" rel="nofollow noopener"><i class="fa fa-telegram"></i></a>
        <?php endif; ?>
        <?php if( epcl_get_option('rss_url') ): ?>
            <a href="<?php echo epcl_get_option('rss_url'); ?>" class="<?php echo esc_attr($button_class); ?> rss" target="_blank" aria-label="RSS" rel="nofollow noopener"><i class="fa fa-rss"></i></a>
        <?php endif; ?>
    </div>
<?php
}
?>