<?php get_header(); ?>
<?php
add_filter('excerpt_length', 'epcl_small_excerpt_length', 999);
$module_class = '';
if( !is_active_sidebar('epcl_sidebar_home') ){
    $module_class .= ' no-active-sidebar';
}
?>
<!-- start: #archives-->
<main id="archives" class="main">

    <div class="grid-container">

        <div class="section grid-container grid-medium np-mobile">
            <?php get_template_part('partials/author-box'); ?>
        </div>

        <!-- start: .content-wrapper -->
        <div class="row content-wrapper <?php echo esc_attr($module_class); ?>">

            <!-- start: .left-content -->
            <div class="left-content grid-70 np-mobile">
                
                <?php if( have_posts() ): ?>

                    <!-- start: .articles -->
                    <div class="articles">

                        <?php while( have_posts() ): the_post(); ?>
                            <?php get_template_part('partials/loops/classic-article'); ?>
                        <?php endwhile; ?>

                    </div>
                    <!-- end: .articles -->

                    <?php epcl_pagination(); ?>
                
                <?php else: ?>

                    <!-- start: .articles -->
                    <div class="articles classic">
                        <div class="section">
                            <div class="text textcenter">
                                <h3 class="title large no-margin"><?php esc_html_e("Something's wrong here...", 'rein'); ?></h3>
                                <p><?php esc_html_e("We can't find any result for this author.", 'rein'); ?></p>
                            </div>
                            <div class="buttons textcenter">
                                <a href="<?php echo home_url('/'); ?>" class="button outline"><i class="fa fa-share fa-flip-horizontal"></i> <?php esc_html_e("Go back to home", "rein"); ?></a>
                            </div>
                        </div>
                    </div>
                    <!-- end: .articles -->

                <?php endif; ?>

            </div>
            <!-- end: .left-content -->
            <?php get_sidebar(); ?>

        </div>
        <!-- end: .content-wrapper -->
    
    </div>

</main>
<!-- end: #archives -->
<?php get_footer(); ?>
