<?php

/* Custom styles generated from theme options panel */

if( function_exists('epcl_generate_custom_styles') ) return;

function epcl_generate_custom_styles(){
    $epcl_theme = epcl_get_theme_options();

    $css = '';

    if( empty($epcl_theme) ) return;

    $background_color = '#2C2048';
    $red = $primary_color = '#FF6071';
    $yellow = $secondary_color = '#FF7E8E';
    $text_color = '#DADEED';
    $border_color = 'rgba(255,255,255,0.15)';
    $black = '#222222';
    $white = '#ffffff';

    $submenu_bg_color = '#47356d';
    $boxes_bg_color = '#362953';
    $input_bg_color = 'transparent';

    // Demo
    if( isset($_GET['bg']) ){
        $epcl_theme['background_type'] = 2;
    }

	/* @group General Settings */

	if( $epcl_theme['background_type'] == 1 && $epcl_theme['bg_body_pattern']['url'] )
		$css .= 'body{ background: url('.$epcl_theme['bg_body_pattern']['url'].') repeat; }';

	if( $epcl_theme['background_type'] == 2  && $epcl_theme['bg_body_color'] != $background_color)
		$css .= 'body{ background: '.$epcl_theme['bg_body_color'].'; }';

	if( $epcl_theme['background_type'] == 3 && $epcl_theme['bg_body_full']['url'] ){
        $css = 'body:after{ background: url('.$epcl_theme['bg_body_full']['url'].') no-repeat center center !important; }';
        if( isset($epcl_theme['body_overlay_color']['rgba']) ){
            $css .= 'body.bg-image:before{ 
                background-color: '.$epcl_theme['body_overlay_color']['rgba'].'; }';
        }
    }
        
        
    if( $epcl_theme['background_type'] == 4 && $epcl_theme['bg_body_gradient'] )
		$css = 'body{
            -webkit-background: linear-gradient(90deg, '.$epcl_theme['bg_body_gradient']['from'].' 30%, '.$epcl_theme['bg_body_gradient']['to'].' 100%);
            background: linear-gradient(90deg, '.$epcl_theme['bg_body_gradient']['from'].' 30%, '.$epcl_theme['bg_body_gradient']['to'].' 100%);
        }';

	// Logo with icons
	if( $epcl_theme['logo_type'] == 2){

		$css .= '#header .logo a, #header a.sticky-logo{ 
            color: '.$epcl_theme['logo_text_color'].'; }';

		$css .= '#header .logo a i.fa, #footer .logo a i.fa{ 
            color: '.$epcl_theme['logo_icon_color'].'; }';

    }
    
    // Primary Color
	if( $epcl_theme['primary_color'] != $primary_color && strlen($epcl_theme['primary_color']) > 3 ){

        $color = new Color( $epcl_theme['primary_color'] );

        $css .= '.gradient-effect a:hover{ 
            box-shadow: 0 -2px 0 0 '.$epcl_theme['primary_color'].' inset; }';
        
        $css .= '

        #footer .bottom a#back-to-top i        
        { 
            color: '.$epcl_theme['primary_color'].'; }';

        $css .= '
        .button.outline:hover, div.meta .meta-info.circle, div.meta time:before, .widget_epcl_tag_cloud a:before, .widget_tag_cloud a:before, div.tags a:before, div.text ul:not([class]) li:before, time:before, .widget_archive ul li span, .widget_categories ul li span, .title.bordered span.border, select, .slick-dots li.slick-active button, #single .share-buttons .button, #single .epcl-pagination div.nav>span.current, .epcl-pagination div.nav a:hover, div.meta .meta-info.mobile
        { 
            background-color: '.$epcl_theme['primary_color'].'; }';

        $css .= '
        .button.outline, div.meta .author .author-image, #single #comments.hosted .comment .avatar img, .widget_epcl_about .avatar a, #author div.avatar a, .button.bordered:before, .slick-dots li.slick-active button, .epcl-pagination div.nav a        
        { 
            border-color: '.$epcl_theme['primary_color'].'; }';
        
        $css .= '#single .share-buttons .permalink .copy svg, #single .bottom-tags svg{ fill: '.$epcl_theme['primary_color'].'; }';
        $css .= '.tooltipster-sidetip .tooltipster-box, .tooltipster-small .tooltipster-content{ background: '.$epcl_theme['primary_color'].' !important; }';
        $css .= '.tooltipster-sidetip.tooltipster-top .tooltipster-arrow-background{ border-top-color: '.$epcl_theme['primary_color'].'; }';

	}
    
    // Text Color
	if( $epcl_theme['text_color'] != $text_color && strlen($epcl_theme['text_color']) > 3 ){

        $color = new Color( $epcl_theme['text_color'] );

        $css .= 'a, body, #sidebar .widget, div.text, div.text a:not([class]), div.text strong, div.text b, div.text .wp-block-archives li a, div.text .wp-block-categories li a, div.text .wp-block-latest-posts li a, #footer .subscribe, div.text blockquote, div.text blockquote cite, div.text b, div.text strong, div.text .wp-block-archives li:not(.option) a, div.text .wp-block-categories li:not(.option) a, div.text .wp-block-latest-posts li:not(.option) a, div.text .wp-block-audio figcaption, div.text .wp-block-image figcaption, div.text h1, div.text h2, div.text h3, div.text h4, div.text h5, div.text h6, div.text blockquote, div.text .wp-block-quote, div.text .wp-block-quote cite, .epcl-pagination div.nav>span, #author div.info, #footer .bottom .published
        { 
            color: '.$epcl_theme['text_color'].'; }';

    }
    
    // Main gradient effect
    if( $epcl_theme['main_link_gradient']['from'] != $primary_color || $epcl_theme['main_link_gradient']['to'] != $secondary_color ){

        $css .= '.button, .button.circle, .epcl-button:not(.epcl-shortcode), .button.gradient-button:before, #header .share-buttons, .nice-select, div.epcl-share, div.text a:not([class]):after, button[type=submit], input[type=submit], input[type=email].gradient, input[type=password].gradient, input[type=tel].gradient, input[type=text].gradient, input[type=url].gradient, select.gradient, textarea.gradient, .epcl-popular-categories .item .count, .widget_epcl_about .social, #page-404 div.not-found, .notice.text, .slick-next, .slick-prev, div.text a:not([class]), #header.classic .epcl-social-buttons a{
            background-image: linear-gradient(to right, '.$epcl_theme['main_link_gradient']['from'].' 0%, '.$epcl_theme['main_link_gradient']['to'].' 100%);

        }';

        $css .= '.button.gradient-button:after{
            background-image: linear-gradient(to right, '.$epcl_theme['main_link_gradient']['to'].' 0%, '.$epcl_theme['main_link_gradient']['from'].' 100%);

        }';

    }	

    // Boxes bg color
    if( isset($epcl_theme['boxes_bg_color']) && $epcl_theme['boxes_bg_color'] != $boxes_bg_color ){
        $css .= '.bg-box, #footer .top, #footer .social-profiles{ 
            background-color: '.$epcl_theme['boxes_bg_color'].'; }';
    }

    /* @end */
    
    /* @group Header Colors */

    if( $epcl_theme['header_bg_color'] != 'transparent' ){
        $css .= '#header{ 
            background-color: '.$epcl_theme['header_bg_color'].'; }';
    }

    if( $epcl_theme['header_sticky_bg_color'] != $boxes_bg_color ){

        $css .= '#header.is-sticky div.menu-wrapper{ 
            background-color: '.$epcl_theme['header_sticky_bg_color'].'; }';
    }

    // Header menu links
    if( $epcl_theme['header_menu_link_color']['regular'] != $white ){

        $css .= '#header nav ul.menu > li > a:not(.epcl-button), #header nav ul.menu li.menu-item-has-children:after{ 
            color: '.$epcl_theme['header_menu_link_color']['regular'].'; }';
    }

    if( $epcl_theme['header_menu_link_color']['hover'] != $white ){

        $css .= '#header nav ul.menu > li > a:hover{ 
            color: '.$epcl_theme['header_menu_link_color']['hover'].'; }';
    }

    if( $epcl_theme['header_menu_link_color']['active'] != $white ){

        $css .= '#header nav ul.menu > li.current-menu-ancestor>a, #header nav ul.menu > li.current-menu-item>a{ 
            color: '.$epcl_theme['header_menu_link_color']['active'].'; }';
    }

    // Header submenu links
    if( $epcl_theme['header_submenu_link_color']['regular'] != $white ){

        $css .= '.main-nav ul.sub-menu li a{ 
            color: '.$epcl_theme['header_submenu_link_color']['regular'].'; }

            @media screen and (max-width: 980px){ #header nav ul.menu>li>a, #header nav ul.menu li.menu-item-has-children:after{ color: '.$epcl_theme['header_submenu_link_color']['regular'].'; }}';

            $css .= '@media screen and (max-width: 1200px){ .main-nav ul.menu li a, nav.mobile.main-nav ul.menu li.menu-item-has-children:after, nav.mobile.main-nav ul.sub-menu li a{ color: '.$epcl_theme['header_submenu_link_color']['regular'].'; }}';
    }

    if( $epcl_theme['header_submenu_link_color']['hover'] != $white ){

        $css .= '.main-nav ul.sub-menu li a:hover{ 
            color: '.$epcl_theme['header_submenu_link_color']['hover'].'; }';
    }

    if( $epcl_theme['header_submenu_link_color']['active'] != $white ){
        $css .= '.main-nav ul.sub-menu li.current-menu-item a{ 
            color: '.$epcl_theme['header_submenu_link_color']['active'].'; }';

        $css .= '@media screen and (max-width: 1200px){ nav.mobile.main-nav ul.sub-menu li.current-menu-item a{ color: '.$epcl_theme['header_submenu_link_color']['active'].'; }}';
    }
    
    if( $epcl_theme['header_submenu_bg_color'] != $submenu_bg_color ){
        $css .= '#header nav ul.sub-menu, nav.mobile.main-nav{ 
            background: '.$epcl_theme['header_submenu_bg_color'].' !important; }';
        $css .= '@media screen and (max-width: 980px){ #header nav { 
            background: '.$epcl_theme['header_submenu_bg_color'].' !important; } }';
    }

	if( $epcl_theme['header_mobile_icon_color'] != $white && $epcl_theme['header_mobile_icon_color'] != '' ){
		$css .= '#header div.menu-mobile svg{ 
            fill: '.$epcl_theme['header_mobile_icon_color'].'; }';
    }
    
    if( isset($epcl_theme['header_search_bg_color']) && $epcl_theme['header_search_bg_color'] != $boxes_bg_color ){
        $css .= '.mfp-bg{ 
            background: '.$epcl_theme['header_search_bg_color'].'; }';
    }
    if( isset($epcl_theme['header_search_text_color']) && $epcl_theme['header_search_text_color'] != $text_color ){
        $css .= '#search-lightbox .title, #search-lightbox .title span{ 
            color: '.$epcl_theme['header_search_text_color'].'; }';
    }

    /* @end */

    /* @group Content Colors */

    if( isset($epcl_theme['selection_bg_color']) && $epcl_theme['selection_bg_color'] != $text_color ){
        $css .= '::selection{ background-color: '.$epcl_theme['selection_bg_color'].'; }';
    }
    if( isset($epcl_theme['selection_text_color']) && $epcl_theme['selection_text_color'] != $white ){
        $css .= '::selection{ color: '.$epcl_theme['selection_text_color'].'; }';
    }

    if( $epcl_theme['main_content_bg_color'] != $boxes_bg_color ){
        $css .= '.bg-box, #footer .top, #footer .social-profiles{ 
            background-color: '.$epcl_theme['main_content_bg_color'].'; }';
    }

    if( isset($epcl_theme['content_border_color']['rgba']) && $epcl_theme['content_border_color']['rgba'] != $border_color ){  

        $css .= '.epcl-border, div.text .wp-block-pullquote:after, div.text .wp-block-pullquote:before{ 
            background-color: '.$epcl_theme['content_border_color']['rgba'].'; }';

        $css .= '
        div.text .wp-block-quote, div.text pre, #single .share-buttons, #single .show-comments, .widget_epcl_featured_category .item .thumb:before, .widget_epcl_posts_thumbs .item .thumb:before, .widget_epcl_related_articles .item .thumb:before, #single .epcl-pagination, .epcl-shortcode.epcl-toggle .toggle-title, .epcl-shortcode.epcl-tabs .tab-container, .epcl-shortcode.epcl-tabs ul.tab-links li a, div.text code:not([class*=language-]), div.text pre:not([class*=language-]), div.text .wp-block-separator.is-style-dots, #single #author, 

        #single #comments.hosted .comment, div.text .wp-block-separator, div.text table, div.text table td, div.text table th, div.text .wp-block-archives li:not(.option), div.text .wp-block-categories li:not(.option), div.text .wp-block-latest-posts li:not(.option), div.text .wp-block-latest-posts.is-grid li:last-of-type, 

        .widget_archive ul>li, .widget_categories ul>li, .widget_meta ul>li, .widget_nav_menu ul>li, .widget_pages ul>li, .widget_recent_comments ul>li, .widget_recent_entries ul>li, .widget_rss ul>li, .widget_archive ul>li ul.children, .widget_archive ul>li ul.sub-menu, .widget_categories ul>li ul.children, .widget_categories ul>li ul.sub-menu, .widget_meta ul>li ul.children, .widget_meta ul>li ul.sub-menu, .widget_nav_menu ul>li ul.children, .widget_nav_menu ul>li ul.sub-menu, .widget_pages ul>li ul.children, .widget_pages ul>li ul.sub-menu, .widget_recent_comments ul>li ul.children, .widget_recent_comments ul>li ul.sub-menu, .widget_recent_entries ul>li ul.children, .widget_recent_entries ul>li ul.sub-menu, .widget_rss ul>li ul.children, .widget_rss ul>li ul.sub-menu, .widget_calendar table td{ 
            border-color: '.$epcl_theme['content_border_color']['rgba'].'; }';
    }

    if( $epcl_theme['main_title_color'] != $white ){
        $css .= '.title, .title a, .title a:hover, h1, h2, h3, h4, h5, h6, .epcl-shortcode.epcl-tabs ul.tab-links li a, .widget_calendar table caption, div.text h1, div.text h2, div.text h3, div.text h4, div.text h5, div.text h6, div.text b, div.text strong{ 
            color: '.$epcl_theme['main_title_color'].'; }';
    }

    /* @end */

    /* @group Buttons Colors */

    // Content links
    if( $epcl_theme['content_link_color']['regular'] != $text_color ){
        $css .= 'a, div.text a:not([class]), .widget:not(.widget_epcl_about) a:not(.tag-cloud-link), section.widget_epcl_tweets p a, .author-meta a, .woocommerce table.shop_table td a, div.meta a, 
         div.text .wp-block-archives li:not(.option) a, div.text .wp-block-categories li:not(.option) a, div.text .wp-block-latest-posts li:not(.option) a
        { 
            color: '.$epcl_theme['content_link_color']['regular'].'; }';
    }
    if( $epcl_theme['content_link_color']['hover'] != $white ){
        $css .= 'a:hover, .widget:not(.widget_epcl_about) a:not(.tag-cloud-link):hover, section.widget_epcl_tweets p a:hover, .author-meta a:hover, .gradient-effect a:hover, div.meta a:hover, div.text a:not([class]):hover,
        div.text .wp-block-archives li:not(.option) a:hover, div.text .wp-block-categories li:not(.option) a:hover, div.text .wp-block-latest-posts li:not(.option) a:hover
        { 
            color: '.$epcl_theme['content_link_color']['hover'].'; }';
    }

    // Main button

    if( $epcl_theme['button_bg_color']['from'] != $primary_color || $epcl_theme['button_bg_color']['to'] != $secondary_color ){
        $css .= '.button, .button.circle, #header.classic .epcl-social-buttons a, div.epcl-share, .epcl-button:not(.epcl-shortcode), input[type="submit"], .slick-arrow, .slick-arrow:hover, .epcl-pagination div.nav a{
            background-image: -webkit-gradient(linear, left top, right top, from('.$epcl_theme['main_link_gradient']['from'].'), to('.$epcl_theme['main_link_gradient']['to'].'));
            background-image: linear-gradient(to right, '.$epcl_theme['button_bg_color']['from'].' 0%, '.$epcl_theme['button_bg_color']['to'].' 100%);
        }
        ';

    }	
    if( $epcl_theme['button_text_color'] != $white ){
        $css .= '.button, .epcl-button:not(.epcl-shortcode), input[type="submit"], .epcl-pagination div.nav a, .epcl-pagination div.nav a:hover{ 
            color: '.$epcl_theme['button_text_color'].' !important; }';   
    }

    // Tag color
    if( $epcl_theme['tag_text_color']['regular'] != $white ){
        $css .= '.widget_tag_cloud a, .widget_tag_cloud span, .widget_epcl_tag_cloud a, .widget_epcl_tag_cloud span, div.tags a, div.tags span{ 
            color: '.$epcl_theme['tag_text_color']['regular'].'; }';
    }
    if( $epcl_theme['tag_text_color']['hover'] != $white || $epcl_theme['tag_text_color']['regular'] != $white ){
        $css .= '.widget_epcl_tag_cloud a:hover, .widget_tag_cloud a:hover, div.tags a:hover{ 
            color: '.$epcl_theme['tag_text_color']['hover'].'; }';
    }
    if( $epcl_theme['tag_bg_color']['regular'] != $primary_color ){
        $css .= '.widget_epcl_tag_cloud a:before, .widget_tag_cloud a:before, div.tags a:before{ 
            background-color: '.$epcl_theme['tag_bg_color']['regular'].'; }';
    }
    if( $epcl_theme['tag_bg_color']['hover'] != $secondary_color ){
        $css .= '.widget_epcl_tag_cloud a:hover:before, .widget_tag_cloud a:hover:before, div.tags a:hover:before{ 
            background-color: '.$epcl_theme['tag_bg_color']['hover'].'; }';
    }

    // Reply Button color
    if( $epcl_theme['reply_button_border_color'] != $primary_color ){
        $css .= '#single #comments.hosted .comment .comment-reply-link{ 
            border-color: '.$epcl_theme['reply_button_border_color'].'; }';

        $css .= '#single #comments.hosted .comment .comment-reply-link:hover{ 
            background-color: '.$epcl_theme['reply_button_border_color'].'; }';
    }

    if( $epcl_theme['reply_button_text_color']['regular'] != $white ){
        $css .= '#single #comments.hosted .comment .comment-reply-link{ 
            color: '.$epcl_theme['reply_button_text_color']['regular'].'; }';
    }
    if( $epcl_theme['reply_button_text_color']['hover'] != $white ){
        $css .= '#single #comments.hosted .comment .comment-reply-link:hover{ 
            color: '.$epcl_theme['reply_button_text_color']['hover'].'; }';
    }

    /* @end */

    /* @group Sidebar Colors */

    if( $epcl_theme['sidebar_text_color'] != $text_color && strlen($epcl_theme['sidebar_text_color']) > 3){
        $color = new Color( $epcl_theme['sidebar_text_color'] );
        $css .= '#sidebar{ 
            color: '.$epcl_theme['sidebar_text_color'].'; }';

        $css .= '#sidebar .widget_recent_entries .post-date, #sidebar section.widget_epcl_tweets p small,
        #sidebar .widget_epcl_featured_category .item time, #sidebar .widget_epcl_posts_thumbs .item time, #sidebar .widget_epcl_related_articles .item time{ 
            color: #'.$color->lighten('25').'; }';    
    }

    if( $epcl_theme['sidebar_link_color']['regular'] != $text_color ){
        $css .= '#sidebar .widget a:not(.tag-cloud-link){ 
            color: '.$epcl_theme['sidebar_link_color']['regular'].'; }';
    }

    if( $epcl_theme['sidebar_link_color']['hover'] != $white ){
        $css .= '#sidebar .widget a:not(.tag-cloud-link):hover{ 
            color: '.$epcl_theme['sidebar_link_color']['hover'].'; }';
    }

    if( $epcl_theme['sidebar_title_color'] != $white ){
        $css .= '#sidebar .widget .widget-title{ 
            color: '.$epcl_theme['sidebar_title_color'].'; }';
    }
    if( $epcl_theme['sidebar_title_decoration_color'] != $primary_color ){
        $css .= '#sidebar .widget .widget-title.bordered span.border{ 
            background-color: '.$epcl_theme['sidebar_title_decoration_color'].'; }';
    }

    /* @end */

    /* @group Forms Colors */

    if( $epcl_theme['input_bg_color'] != $input_bg_color ){
        $css .= 'input[type=email], input[type=number], input[type=password], input[type=tel], input[type=text], input[type=url], textarea, select, .woocommerce .select2-container--default .select2-selection--single{ 
            background: '.$epcl_theme['input_bg_color'].'; }';
        $css .= 'input[type=email], input[type=number], input[type=password], input[type=tel], input[type=text], input[type=url], textarea{ 
            border-color: '.$epcl_theme['input_bg_color'].'; }';
    }
    if( isset($epcl_theme['input_border_color']['rgba']) && $epcl_theme['input_border_color']['rgba'] != $border_color ){
        $css .= 'input[type=email], input[type=number], input[type=password], input[type=tel], input[type=text], input[type=url], textarea{ 
            border-color: '.$epcl_theme['input_border_color']['rgba'].'; }';
    }

    if( $epcl_theme['input_text_color'] != $text_color ){
        $css .= 'input[type=email], input[type=number], input[type=password], input[type=tel], input[type=text], input[type=url], textarea, select, .select2-container--default .select2-selection--single .select2-selection__rendered{ 
            color: '.$epcl_theme['input_text_color'].'; }';
        $css .= 'input[type=email]::-webkit-input-placeholder, input[type=number]::-webkit-input-placeholder, input[type=password]::-webkit-input-placeholder, input[type=tel]::-webkit-input-placeholder, input[type=text]::-webkit-input-placeholder, input[type=url]::-webkit-input-placeholder, textarea::-webkit-input-placeholder{ 
            color: '.$epcl_theme['input_text_color'].'; }';  
        $css .= 'input[type=email]:-moz-placeholder, input[type=number]:-moz-placeholder, input[type=password]:-moz-placeholder, input[type=tel]:-moz-placeholder, input[type=text]:-moz-placeholder, input[type=url]:-moz-placeholder, textarea:-moz-placeholder{ 
            color: '.$epcl_theme['input_text_color'].'; }';     
        $css .= 'input[type=email]::-moz-placeholder, input[type=number]::-moz-placeholder, input[type=password]::-moz-placeholder, input[type=tel]::-moz-placeholder, input[type=text]::-moz-placeholder, input[type=url]::-moz-placeholder, textarea::-moz-placeholder{ 
            color: '.$epcl_theme['input_text_color'].'; }'; 
        $css .= 'input[type=email]:-ms-input-placeholder, input[type=number]:-ms-input-placeholder, input[type=password]:-ms-input-placeholder, input[type=tel]:-ms-input-placeholder, input[type=text]:-ms-input-placeholder, input[type=url]:-ms-input-placeholder, textarea:-ms-input-placeholder{ 
            color: '.$epcl_theme['input_text_color'].'; }'; 

        $css .= 'input[type=email]:focus, input[type=number]:focus, input[type=password]:focus, input[type=tel]:focus, input[type=text]:focus, input[type=url]:focus, textarea:focus{ 
            color: '.$epcl_theme['input_text_color'].'; }';
    }

    if( $epcl_theme['label_text_color'] != $text_color ){
        $css .= 'label{ 
            color: '.$epcl_theme['label_text_color'].'; }';
    }

    if( $epcl_theme['submit_bg_color']['from'] != $primary_color || $epcl_theme['submit_bg_color']['to'] != $secondary_color ){
        $css .= 'input[type="submit"], button[type="submit"]{
            background-image: -webkit-gradient(linear, left top, right top, from('.$epcl_theme['submit_bg_color']['from'].'), to('.$epcl_theme['submit_bg_color']['to'].'));
            background-image: linear-gradient(to right, '.$epcl_theme['submit_bg_color']['from'].' 0%, '.$epcl_theme['submit_bg_color']['to'].' 100%);
        }
        ';

    }	
    if( $epcl_theme['submit_text_color'] != $white ){
        $css .= 'input[type=submit], button[type="submit"]{ 
            color: '.$epcl_theme['submit_text_color'].'; }';
    }

    /* @end */

    /* @group Footer Colors */

    if( strlen($epcl_theme['footer_bg_color']) > 3 && $epcl_theme['footer_bg_color'] != 'transparent' ){
        $footer_bg_color = new Color( $epcl_theme['footer_bg_color'] ); 
        $css .= '#footer{ 
            background-color: '.$epcl_theme['footer_bg_color'].'; }';

        $css .= '#footer .top, #footer .social-profiles{ 
            background-color: #'.$footer_bg_color->lighten('2').'; }';      
    }

    if( $epcl_theme['footer_text_color'] != '#ffffff' ){
        $css .= '#footer .widgets, #footer .widget_archive ul li span, #footer .widget_categories ul li span{ 
            color: '.$epcl_theme['footer_text_color'].'; }';
    }

    if( $epcl_theme['footer_link_color']['regular'] != '#ffffff' ){
        $css .= '#footer .widgets a:not(.tag-cloud-link){ 
            color: '.$epcl_theme['footer_link_color']['regular'].'; }';
    }

    if( $epcl_theme['footer_link_color']['hover'] != '#ffffff' ){
        $css .= '#footer .widgets a:not(.tag-cloud-link):hover{ 
            color: '.$epcl_theme['footer_link_color']['hover'].'; }';
    }

    if( $epcl_theme['footer_title_color'] != '#ffffff' ){
        $css .= '#footer .widget .widget-title, #footer .title, #footer .subscribe{ 
            color: '.$epcl_theme['footer_title_color'].'; }';
    }

    if( isset($epcl_theme['footer_title_decoration_color']['rgba']) && $epcl_theme['footer_title_decoration_color']['rgba'] != 'rgba(255,255,255,0.25)' ){
        $css .= '#footer .widget .widget-title.bordered:after{ 
            background: '.$epcl_theme['footer_title_decoration_color']['rgba'].'; }';
    }

    if( $epcl_theme['footer_copyright_color'] != $text_color ){

        $css .= '#footer .bottom .published{ 
            color: '.$epcl_theme['footer_copyright_color'].'; }';
    }

    if( $epcl_theme['footer_copyright_link_color'] != $white ){

        $css .= '#footer .bottom .published a{ 
            color: '.$epcl_theme['footer_copyright_link_color'].'; }';
    }

    // /* @end */

	/* @group Typography */

    // Regular Text
	if( $epcl_theme['body_font']['font-family'] && $epcl_theme['body_font']['font-family'] != 'Muli')
		$css .= 'body, .epcl-button, .pagination div.nav a, .pagination div.nav>span, div.epcl-download a, input[type=text], input[type=password], input[type=email], input[type=tel], input[type=submit], input[type=url], textarea, select, select.custom-select, button, label, .wpcf7 label, #header nav ul.sub-menu li a, .nice-select .list li, .woocommerce button.button, .woocommerce a.button{ font-family: '.$epcl_theme['body_font']['font-family'].'; }';
	
	if( $epcl_theme['body_font']['font-weight'] && $epcl_theme['body_font']['font-weight'] != '300' )
		$css .= 'body, input[type=text], input[type=password], input[type=email], input[type=tel], input[type=submit], input[type=url], textarea, select, select.custom-select, button, label, .wpcf7 label{ font-weight: '.$epcl_theme['body_font']['font-weight'].'; }';
	
	if($epcl_theme['body_font']['font-size'] != 'px' && $epcl_theme['body_font']['font-size'] != '15px')
        $css .= 'body{ font-size: '.$epcl_theme['body_font']['font-size'].'; }';
        
	// Primary Titles
	if( $epcl_theme['primary_titles_font']['font-family'] && $epcl_theme['primary_titles_font']['font-family'] != 'Playfair Display' )
		$css .= '.title, div.text h1, div.text h2, div.text h3, div.text h4, div.text h5, div.text h6, #header nav ul.menu > li > a, input[type=submit], #single #comments.hosted nav.pagination a, .epcl-button, div.text .wp-block-quote, div.text blockquote, #footer .bottom{ font-family: '.$epcl_theme['primary_titles_font']['font-family'].'; }';
	
	if( $epcl_theme['primary_titles_font']['font-weight'] )
        $css .= '.title, div.text h1, div.text h2, div.text h3, div.text h4, div.text h5, div.text h6, input[type=submit], #single #comments.hosted nav.pagination a, .epcl-button, div.text .wp-block-quote, div.text blockquote{ font-weight: '.$epcl_theme['primary_titles_font']['font-weight'].'; }';

	// Sidebar Titles
	if( $epcl_theme['sidebar_titles_font']['font-family'] && $epcl_theme['sidebar_titles_font']['font-family'] != 'Poppins' )
		$css .= 'aside .widget .widget-title, aside .title, .widget_rss a, aside .nice-select{ font-family: '.$epcl_theme['sidebar_titles_font']['font-family'].'; }';

	// Sidebar regular text
	if( $epcl_theme['sidebar_font']['font-family'] && $epcl_theme['sidebar_font']['font-family'] != 'Poppins' )
		$css .= 'aside .widget, aside .nice-select li{ font-family: '.$epcl_theme['sidebar_font']['font-family'].'; }';

	// Footer Titles
	if( $epcl_theme['footer_titles_font']['font-family'] && $epcl_theme['footer_titles_font']['font-family'] != 'Poppins' )
		$css .= '#footer .widget .widget-title, #footer .title,  #footer .widget_rss a, #footer .nice-select{ font-family: '.$epcl_theme['footer_titles_font']['font-family'].'; }';

	// Footer regular text
	if( $epcl_theme['footer_font']['font-family'] && $epcl_theme['footer_font']['font-family'] != 'Poppins' )
		$css .= '#footer .widget, #footer .nice-select li{ font-family: '.$epcl_theme['footer_font']['font-family'].'; }';
        
    // Blog single text
    if($epcl_theme['editor_font_size'] != '16')
        $css .= 'div.text{ font-size: '.$epcl_theme['editor_font_size'].'px; }';
        
	if($epcl_theme['h1_font_size'] != '34')
		$css .= 'div.text h1{ font-size: '.$epcl_theme['h1_font_size'].'px; }';
	
	if($epcl_theme['h2_font_size'] != '28')
		$css .= 'div.text h2{ font-size: '.$epcl_theme['h2_font_size'].'px; }';
	
	if($epcl_theme['h3_font_size'] != '24')
		$css .= 'div.text h3{ font-size: '.$epcl_theme['h3_font_size'].'px; }';
	
	if($epcl_theme['h4_font_size'] != '18')
		$css .= 'div.text h4{ font-size: '.$epcl_theme['h4_font_size'].'px; }';
	
	if($epcl_theme['h5_font_size'] != '16')
		$css .= 'div.text h5{ font-size: '.$epcl_theme['h5_font_size'].'px; }';
	
	if($epcl_theme['h6_font_size'] != '14')
        $css .= 'div.text h6{ font-size: '.$epcl_theme['h6_font_size'].'px; }';
        
    // Mobile Font Sizes
    if(isset($epcl_theme['mobile_body_font_size']) && $epcl_theme['mobile_body_font_size'] != '13')
    $css .= '@media screen and (max-width: 767px){ body{ font-size: '.$epcl_theme['mobile_body_font_size'].'px; } }';

    if(isset($epcl_theme['mobile_single_font_size']) && $epcl_theme['mobile_single_font_size'] != '14')
        $css .= '@media screen and (max-width: 767px){ div.text{ font-size: '.$epcl_theme['mobile_single_font_size'].'px; } }';

    /* @end */
    
    // Enable Scroll on Sub Menus
    if( $epcl_theme['enable_scroll_submenu'] === '1' ){
        $css .= '#header nav ul.sub-menu{ max-height: 50vh; overflow-y: auto; overflow-x: hidden; }';
    }

    /* @group Categories Color */

    if( function_exists('get_fields') ){
        $categories = get_categories();
        foreach( $categories as $c ){
            $fields = get_fields( $c );
            if( !empty($fields) ){
                if( isset($fields['main_color']) && $fields['main_color'] !== '' ){
                    $css .= 
                    '.widget_categories ul li.cat-item-'.$c->term_id.' span, .category-'.$c->term_id.' .tag-description .icon, div.tags a.tag-link-'.$c->term_id.':before, a.tag-link-'.$c->term_id.':before, .ctag-'.$c->term_id.':before{ background: '.$fields['main_color'].'; }';
                }
            }
        }
    }

    /* @end */

    // Disable categories globally
    if( isset($epcl_theme['enable_global_category']) && $epcl_theme['enable_global_category'] === '0' ){
        $css .= 'div.tags{ display: none !important; }';
    }

    // Disable date globally
    if( isset($epcl_theme['enable_global_date']) && $epcl_theme['enable_global_date'] === '0' ){
        $css .= 'time{ display: none !important; }';
    }

    // Disable comments globally
    if( isset($epcl_theme['enable_global_comments']) && $epcl_theme['enable_global_comments'] === '0' ){
        $css .= 'div.meta a.comments{ display: none !important; }';
    }

    // Disable featured image globally
    if( isset($epcl_theme['enable_featured_image']) && $epcl_theme['enable_featured_image'] === '0' ){
        $css .= '#single.standard .featured-image{ display: none !important; }';
    }

	/* @group Advanced CSS */

	if( !empty($epcl_theme['css_code']) )
		$css .= $epcl_theme['css_code'];

    /* @end */

    $prefix = EPCL_THEMEPREFIX.'_';
    
    // $css = '';

	if($css)
		return $css;
}

function epcl_generate_gutenberg_custom_styles(){
    $epcl_theme = epcl_get_theme_options();
    $css = '';

    if( empty($epcl_theme) ) return;

    $background_color = '#2C2048';
    $red = $primary_color = '#FF6071';
    $yellow = $secondary_color = '#FF7E8E';
    $text_color = '#DADEED';
    $border_color = 'rgba(255,255,255,0.15)';
    $black = '#222222';
    $white = '#ffffff';

    $submenu_bg_color = '#47356d';
    $boxes_bg_color = '#362953';
    $input_bg_color = 'transparent';

	/* @group General Settings */

    
    // Primary Color
	if( $epcl_theme['primary_color'] != $primary_color ){

        $css .= '.editor-block-list__layout .wp-block-categories li span, .editor-styles-wrapper .editor-block-list__layout .wp-block-archives li span{
            background-color: '.$epcl_theme['primary_color'].' !important; }';
	}

    // Secondary Color
	if( isset($epcl_theme['content_border_color']['rgba']) && $epcl_theme['content_border_color']['rgba'] != $border_color ){

        $css .= '.editor-styles-wrapper .editor-block-list__layout .wp-block-quote:before, .editor-styles-wrapper div.text .wp-block-quote:before, .editor-styles-wrapper .editor-block-list__layout .wp-block-pullquote:after, .editor-styles-wrapper .editor-block-list__layout .wp-block-pullquote:before, .editor-styles-wrapper .editor-post-title__block:after{ 
            background-color: '.$epcl_theme['secondary_color'].' !important; }';
	}

    /* @end */

	/* @group Typography */

    // Regular Text
	if( $epcl_theme['body_font']['font-family'] && $epcl_theme['body_font']['font-family'] != 'Muli')
		$css .= '.editor-block-list__layout{ font-family: '.$epcl_theme['body_font']['font-family'].' !important; }';
	
	if( $epcl_theme['body_font']['font-weight'] && $epcl_theme['body_font']['font-weight'] != '300' )
		$css .= '.editor-block-list__layout{ font-weight: '.$epcl_theme['body_font']['font-weight'].' !important; }';
        
	// Primary Titles
	if( $epcl_theme['primary_titles_font']['font-family'] && $epcl_theme['primary_titles_font']['font-family'] != 'Playfair Display' )
		$css .= '.editor-block-list__layout h1,.editor-block-list__layout h2, .editor-block-list__layout h3, .editor-block-list__layout h4, .editor-block-list__layout h5, .editor-block-list__layout h6, .editor-post-title__block .editor-post-title__input{ font-family: '.$epcl_theme['primary_titles_font']['font-family'].' !important; }';
	
	if( $epcl_theme['primary_titles_font']['font-weight'] )
        $css .= '.editor-block-list__layout h1, .editor-block-list__layout h2, .editor-block-list__layout h3, .editor-block-list__layout h4, .editor-block-list__layout h5, .editor-block-list__layout h6{ font-weight: '.$epcl_theme['primary_titles_font']['font-weight'].' !important; }';
        
    // Blog single text
    if($epcl_theme['editor_font_size'] != '17')
        $css .= '.editor-styles-wrapper .editor-block-list__layout{ font-size: '.$epcl_theme['editor_font_size'].'px !important; }';
        
	if($epcl_theme['h1_font_size'] != '34')
		$css .= '.editor-block-list__layout h1{ font-size: '.$epcl_theme['h1_font_size'].'px; }';
	
	if($epcl_theme['h2_font_size'] != '28')
		$css .= '.editor-styles-wrapper .editor-block-list__layout h2{ font-size: '.$epcl_theme['h2_font_size'].'px !important; }';
	
	if($epcl_theme['h3_font_size'] != '24')
		$css .= '.editor-styles-wrapper .editor-block-list__layouth3{ font-size: '.$epcl_theme['h3_font_size'].'px !important; }';
	
	if($epcl_theme['h4_font_size'] != '18')
		$css .= '.editor-styles-wrapper .editor-block-list__layout h4{ font-size: '.$epcl_theme['h4_font_size'].'px !important; }';
	
	if($epcl_theme['h5_font_size'] != '16')
		$css .= '.editor-styles-wrapper .editor-block-list__layout h5{ font-size: '.$epcl_theme['h5_font_size'].'px !important; }';
	
	if($epcl_theme['h6_font_size'] != '14')
		$css .= '.editor-styles-wrapper .editor-block-list__layout h6{ font-size: '.$epcl_theme['h6_font_size'].'px !important; }';

    /* @end */
    
    $prefix = EPCL_THEMEPREFIX.'_';

	if($css)
		return $css;
}


if ( ! function_exists( 'epcl_hex2rgba' ) ) {

	function epcl_hex2rgba($color, $opacity = false){
		$default = 'rgb(0,0,0)';
		if(empty($color))
			  return $default;
		if($color[0] == '#'){
			$color = substr($color, 1);
		}
		if(strlen($color) == 6){
			$hex = array($color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5]);
		}elseif(strlen($color) == 3){
			$hex = array($color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2]);
		} else {
			return $default;
		}
		$rgb =  array_map('hexdec', $hex);
		if($opacity){
			if(abs($opacity) > 1)
				$opacity = 1.0;
			$output = 'rgba('.implode(",",$rgb).','.$opacity.')';
		}else{
			$output = 'rgb('.implode(",",$rgb).')';
		}
		return $output;
	}
}

?>
