<?php get_header(); ?>
<?php
$wrapper_class = '';
$prefix = EPCL_THEMEPREFIX.'_';
$enable_sidebar = $page_class = '';
if( function_exists('get_field') ){
    $enable_sidebar = get_field('enable_sidebar');
    $fields = get_fields();
    if( $enable_sidebar === false ) $page_class .= ' no-sidebar';
}
if( !is_active_sidebar('epcl_sidebar_default') ){
    $enable_sidebar = false;
    $page_class .= ' no-sidebar';
}
if( !has_post_thumbnail() ){
    $page_class .= ' no-thumb';
}
if( !empty($epcl_theme) && $epcl_theme['enable_page_sidebar'] === '2'){
    $enable_sidebar = true;
    $page_class = '';
}
if( !empty($epcl_theme) && $epcl_theme['enable_page_sidebar'] === '3'){
    $enable_sidebar = false;
    $page_class .= ' no-sidebar';
}
if( has_post_thumbnail() ){
    $page_class .= ' fullcover';
}
?>
<!-- start: #page -->
<main id="page" class="main grid-container">
	<?php if( have_posts() ): the_post(); ?>
		<!-- start: #single -->
	    <div id="single" class="center content <?php echo esc_attr($page_class); ?>" data-aos="fade">
            
            <div class="center content row">

                <?php if( has_post_thumbnail() ): ?>
                    <div class="grid-100">
                        <div class="featured-image cover" style="background: url('<?php the_post_thumbnail_url('epcl_page_header'); ?>');">
                            <div class="center grid-container">
                                <div class="info">
                                    <!-- start: .meta -->
                                    <div class="meta">                                        
                                    <?php if( !isset($fields['enable_title']) || (function_exists('get_field') && get_field('enable_title') != '') ): ?>   
                                        <h1 class="title ularge white bold"><?php the_title(); ?></h1>
                                    <?php endif; ?>
                                    </div>
                                    <!-- end: .meta -->
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endif; ?>

                <!-- start: .epcl-page-wrapper -->
                <div class="epcl-page-wrapper">

                    <!-- start: .left-content -->
                    <div class="left-content grid-70 np-mobile">
                        <article <?php post_class('main-article bg-box'); ?>>

                            <?php edit_post_link( esc_html__('Edit this post', 'rein'), '', '', '', 'edit-post-button epcl-button hide-on-mobile hide-on-tablet'); ?>

                            <section class="post-content">
                                <?php if( !empty($epcl_theme) && isset($epcl_theme['enable_sticky_share_buttons_page']) && $epcl_theme['enable_sticky_share_buttons_page'] == '1' && function_exists('epcl_render_share_buttons') ): ?>
                                    <div class="epcl-share-container hide-on-mobile">
                                        <?php epcl_render_share_buttons('top'); ?>
                                    </div>
                                <?php endif; ?>

                                <?php if( !has_post_thumbnail() && !isset($fields['enable_title']) ): ?>
                                        <h1 class="title ularge bordered bold"><span class="bg"><?php the_title(); ?></span><span class="border"></span></h1>
                                <?php elseif( !has_post_thumbnail() && function_exists('get_field') && get_field('enable_title') != '' ): ?>    
                                        <h1 class="title ularge bordered bold"><span class="bg"><?php the_title(); ?></span><span class="border"></span></h1>
                                <?php endif; ?>

                                <div class="text">
                                    <?php the_content(); ?>
                                </div>
                                <div class="clear"></div>

                                <?php if( comments_open() ): ?>
                                    <div class="section show-comments">
                                        <a href="javascript:void(0)" class="button large icon bordered" data-text="<?php esc_html_e('Show Comments', 'rein'); ?>" data-text-active="<?php esc_attr_e('Hide Comments', 'rein'); ?>"><span><?php esc_html_e('Show Comments', 'rein'); ?></span> <svg class="icon large"><use xlink:href="#arrow-down-icon"></use></svg></a>
                                    </div>
                                <?php endif; ?>
                                    
                                <!-- start: .epcl-comments -->
                                <div class="epcl-comments hidden">

                                    <?php if($epcl_theme['hosted_comments'] == 1 || empty($epcl_theme) ): // Self Hosted ?>
                                        <?php comments_template(); ?>
                                    <?php endif; ?>
                                    
                                    <?php if( comments_open() ): ?>

                                        <?php if( $epcl_theme['hosted_comments'] == 2 && $epcl_theme['disqus_id'] ): // Disqus ?>
                                            <!-- start: disqus integration -->
                                            <div id="comments" class="section">
                                                <h3 class="title bordered no-margin"><?php esc_html_e('Comments', 'rein'); ?></h3>
                                                <div id="disqus_thread"></div>
                                            </div>
                                            <noscript><?php esc_html_e('Please enable JavaScript to view the', 'rein'); ?> <a href="https://disqus.com/?ref_noscript" rel="nofollow"><?php esc_html_e('comments powered by Disqus.', 'rein'); ?></a></noscript>
                                            <!-- end: disqus integration -->
                                        <?php endif; ?>

                                        <?php if( $epcl_theme['hosted_comments'] == 3 ): // Disqus ?>
                                            <!-- start: facebook comments -->
                                            <div id="comments" class="section">
                                                <h3 class="title bordered no-margin"><?php esc_html_e('Comments', 'rein'); ?></h3>
                                                <div class="clear"></div>
                                                <div class="fb-comments" data-href="<?php the_permalink(); ?>" data-width="100%" data-numposts="5" data-colorscheme="dark"></div>
                                            </div>
                                            <!-- end: facebook comments -->
                                            <div id="fb-root"></div>                        
                                        <?php endif; ?>
                                        
                                    <?php endif; ?>
                                    
                                </div>
                                <!-- end: .epcl-comments -->
                                
                                <?php if( !empty($epcl_theme) && isset( $epcl_theme['enable_share_buttons_page'] ) && $epcl_theme['enable_share_buttons_page'] == '1' && function_exists('epcl_render_share_buttons') ): ?>
                                    <!-- start: .share-buttons -->
                                    <div class="share-buttons section">
                                        <h5 class="title small"><?php esc_html_e('Share Article:', 'rein'); ?></h5>
                                        <?php set_query_var('epcl_share_bottom', true); ?>
                                        <?php epcl_render_share_buttons('bottom'); ?>
                                        <div class="clear"></div>
                                        <div class="permalink">
                                            <input type="text" name="shortlink" value="<?php the_permalink(); ?>" id="copy-link" class="" readonly>
                                            <span class="copy"><svg class="icon large"><use xlink:href="#copy-icon"></use></svg></span>
                                        </div>
                                    </div>
                                    <!-- end: .share-buttons -->
                                <?php endif; ?>
                            </section>
                            
                            <?php
                                $link_pages_args = array(
                                    'before'           => '<div class="epcl-pagination link-pages section"><div class="nav"><span class="page-number">'.esc_html__( 'Pages', 'rein' ).'</span>',
                                    'after'            => '</div></div>',
                                    'link_before'      => '',
                                    'link_after'       => '',
                                    'next_or_number'   => 'number',
                                    'separator'        => '',
                                    'nextpagelink'     => esc_html__( 'Next', 'rein'),
                                    'previouspagelink' => esc_html__( 'Previous', 'rein' ),
                                    'pagelink'         => '<span class="page-number">%</span>',
                                    'echo'             => 1
                                );
                                wp_link_pages( $link_pages_args );
                            ?>

                        </article>
                        
                    </div>
                    <!-- end: .left-content -->

                    <?php
                    if( $enable_sidebar !== false ){
                        get_sidebar();
                    }
                    ?>

                </div>
                <!-- end: .epcl-page-wrapper -->
            </div>
        </div>
        <!-- end: #single -->
    <?php endif; ?>
</main>
<!-- end: #page -->
<?php get_footer(); ?>
