<?php $epcl_theme = epcl_get_theme_options(); ?>
<?php if($epcl_theme['enable_author'] == 1 || empty($epcl_theme) || is_archive() ): ?>
	<?php
	$author_id = get_the_author_meta('ID');
    $author_avatar = get_avatar_url( get_the_author_meta('email'), array( 'size' => 192 ));
    $optimized_avatar = get_the_author_meta('avatar');
    if( $optimized_avatar ){
        $author_avatar = wp_get_attachment_url( $optimized_avatar );
    }
	$author_name = get_the_author();
	$author_url = get_author_posts_url($author_id);
	$class = '';
	if($author_avatar) $class .= ' with-avatar'; else $class .= ' no-avatar';
    if( is_single() ) $class .= ' section';
    
    $facebook = get_the_author_meta('facebook');
    $twitter = get_the_author_meta('twitter');
    $author_position = get_the_author_meta('position');
    $website = get_the_author_meta('user_url');

    $background_image = get_the_author_meta('background_image');
    $style = '';
    if( $background_image != '' && !is_single() ){
        $author_background = wp_get_attachment_image_src( $background_image, 'large' );
        $class .= ' cover with-background';
    }
    if( !get_the_author_meta('description') ) return;
    ?>    
    <!-- start: .author -->
    <section id="author" class="author bg-box <?php echo esc_attr($class); ?>" <?php if( !empty($author_background) ) echo 'style="background-image: url('.$author_background[0].');"'; ?>>
        <div class="left grid-30 tablet-grid-35 textcenter np-mobile">
            <?php if($author_avatar): ?>
                <div class="avatar">
                        <a href="<?php echo esc_url( $author_url ); ?>" class="hover-effect thumb"><span class="fullimage cover" style="background-image: url('<?php echo esc_url( $author_avatar ); ?>');"></span></a>
                </div>
            <?php endif; ?>
            <h4 class="title author-name small gradient-effect"><a href="<?php echo esc_url($author_url); ?>"><?php echo esc_attr( $author_name ); ?></a></h4>
            <?php if( $author_position ): ?>
                <p class="tagline"><?php echo esc_html($author_position); ?></p>
            <?php endif; ?>
            <?php if( $facebook || $twitter || $website ): ?>
                <div class="social">
                    <?php if($website): ?>
                        <a href="<?php echo esc_url($website); ?>" class="website tooltip" title="<?php esc_attr_e('Website', 'rein'); ?>: <?php echo esc_url($website); ?>" target="_blank" rel="nofollow noopener"><i class="fa fa-globe"></i></a>
                    <?php endif; ?>
                    <?php if($twitter): ?>
                        <a href="<?php echo esc_url($twitter); ?>" class="twitter tooltip" title="<?php esc_attr_e('Follow me on Twitter', 'rein'); ?>" target="_blank" rel="nofollow noopener"><i class="fa fa-twitter"></i></a>
                    <?php endif; ?>
                    <?php if($facebook): ?>
                        <a href="<?php echo esc_url($facebook); ?>" class="facebook tooltip" title="<?php esc_attr_e('Follow me on Facebook', 'rein'); ?>" target="_blank" rel="nofollow noopener"><i class="fa fa-facebook"></i></a>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
        </div>
        <div class="info grid-65 tablet-grid-65 np-mobile">
            <h5 class="title medium bordered"><span><?php esc_html_e('About the Author', 'rein'); ?></span><span class="border small"></span></h5>
            <p><?php the_author_meta('description'); ?></p>
            <?php if( is_single() ): ?>
                <p class="view-articles"><a href="<?php echo esc_url( $author_url ); ?>" class="button outline"><?php esc_html_e('View Articles', 'rein'); ?></a></p>
            <?php endif; ?>
        </div>
        <div class="clear"></div>
    </section>
    <!-- end: .author -->
    <div class="clear"></div>
<?php endif; ?>
