<?php
$epcl_theme = epcl_get_theme_options();
if(function_exists('icl_get_home_url')) $home = icl_get_home_url();
else $home = home_url('/');

$footer_class = '';
if( epcl_get_option('enable_mobile_footer_sidebar') == false ){
    $footer_class = 'no-sidebar';
}
if( epcl_get_option('enable_mobile_footer_sidebar') == true && epcl_get_option('mobile_footer_sidebar') ){
    $footer_class = 'hide-default';
}
?>
<!-- start: #footer -->
<footer id="footer" class="<?php echo esc_attr($footer_class); ?>">

    <!-- start: .top -->
    <div class="top">
        <div class="grid-container">
            <?php if( !isset($epcl_theme['enable_footer_logo']) || $epcl_theme['enable_footer_logo'] == '1' ): ?>
                <?php 
                if( isset($epcl_theme['enable_footer_custom_logo']) && $epcl_theme['enable_footer_custom_logo'] === '1' ){
                    $epcl_theme['logo_type'] = $epcl_theme['footer_logo_type'];
                    if( $epcl_theme['footer_logo_type'] === '1' ){
                        $epcl_theme['logo_image'] = $epcl_theme['footer_logo_image'];
                        $epcl_theme['logo_width'] = $epcl_theme['footer_logo_width'];
                    }else{
                        $epcl_theme['logo_icon'] = $epcl_theme['footer_logo_icon'];
                    }
                }
                ?>
                <?php if($epcl_theme['logo_type'] == 1 && $epcl_theme['logo_image']['url'] ): ?>
                    <h2 class="logo"><a href="<?php echo esc_url($home); ?>"><img src="<?php echo esc_url( $epcl_theme['logo_image']['url'] ); ?>" alt="<?php bloginfo('name'); ?>" width="<?php echo esc_attr( $epcl_theme['logo_width'] ); ?>" /></a></h2>
                <?php else: ?>
                    <h2 class="logo text-logo">
                        <a href="<?php echo esc_url($home); ?>" class="title large">
                            <?php if( isset($epcl_theme['logo_icon']) && $epcl_theme['logo_icon'] !== '' ): ?>
                                <i class="fa <?php echo esc_attr( $epcl_theme['logo_icon'] ); ?>"></i>
                            <?php endif; ?>
                            <?php bloginfo('name'); ?>
                        </a>
                    </h2>
                <?php endif; ?>
            <?php endif; ?>

            <!-- start: .footer-nav -->
            <nav class="footer-nav gradient-effect hide-on-tablet hide-on-mobile">
                <?php
                $args = array( 'theme_location' => 'epcl_footer', 'container' => false );
                if( has_nav_menu('epcl_footer') ){
                    wp_nav_menu($args);
                } 
                ?>
            </nav>
            <!-- end: .footer-nav -->

            <div class="clear"></div>

        </div>

    </div>
    <!-- end: .top -->
    
    <div class="grid-container section <?php if( epcl_get_option('enable_subscribe_footer') == '0') echo 'no-subscribe'; ?>">
        <?php if( epcl_get_option('enable_footer_social') == '1'): ?>
            <div class="social-profiles grid-30 tablet-grid-40">
                <?php if( epcl_get_option('title_footer_social') != '' ): ?>
                    <h4 class="title small bordered"><span class="bg"><?php echo esc_html( epcl_get_option('title_footer_social') ); ?></span><span class="border small"></span></h4>
                <?php endif; ?>
                <?php if( epcl_get_option('twitter_url') != '' ) : ?>
                    <a href="<?php echo esc_url( epcl_get_option('twitter_url') ); ?>" class="twitter" target="_blank"><i class="fa fa-twitter"></i> <?php esc_html_e('Twitter', 'rein'); ?></a>
                <?php endif; ?>
                <?php if( epcl_get_option('instagram_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['instagram_url'] ); ?>" class="instagram" target="_blank"><i class="fa fa-instagram"></i> <?php esc_html_e('Instagram', 'rein'); ?></a>
                <?php endif; ?>
                <?php if( epcl_get_option('facebook_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['facebook_url'] ); ?>" class="facebook"><i class="fa fa-facebook"></i> <?php esc_html_e('Facebook', 'rein'); ?></a>
                <?php endif; ?>
                <?php if( epcl_get_option('linkedin_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['linkedin_url'] ); ?>" class="linkedin"><i class="fa fa-linkedin"></i> <?php esc_html_e('Linkedin', 'rein'); ?></a>
                <?php endif; ?>   
                <?php if( epcl_get_option('pinterest_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['pinterest_url'] ); ?>" class="pinterest"><i class="fa fa-pinterest"></i> <?php esc_html_e('Pinterest', 'rein'); ?></a>
                <?php endif; ?>    
                <?php if( epcl_get_option('dribbble_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['dribbble_url'] ); ?>" class="dribbble"><i class="fa fa-dribbble"></i> <?php esc_html_e('Dribbble', 'rein'); ?></a>
                <?php endif; ?> 
                <?php if( epcl_get_option('tumblr_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['tumblr_url'] ); ?>" class="tumblr"><i class="fa fa-tumblr"></i> <?php esc_html_e('Tumblr', 'rein'); ?></a>
                <?php endif; ?>     
                <?php if( epcl_get_option('youtube_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['youtube_url'] ); ?>" class="youtube"><i class="fa fa-youtube"></i> <?php esc_html_e('Youtube', 'rein'); ?></a>
                <?php endif; ?>  
                <?php if( epcl_get_option('flickr_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['flickr_url'] ); ?>" class="flickr"><i class="fa fa-flickr"></i> <?php esc_html_e('Flickr', 'rein'); ?></a>
                <?php endif; ?>  
                <?php if( epcl_get_option('twitch_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['twitch_url'] ); ?>" class="twitch"><i class="fa fa-twitch"></i> <?php esc_html_e('Twitch', 'rein'); ?></a>
                <?php endif; ?>   
                <?php if( epcl_get_option('vk_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['vk_url'] ); ?>" class="vk"><i class="fa fa-vk"></i> <?php esc_html_e('Vkontakte', 'rein'); ?></a>
                <?php endif; ?>    
                <?php if( epcl_get_option('telegram_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['telegram_url'] ); ?>" class="telegram"><i class="fa fa-telegram"></i> <?php esc_html_e('Telegram', 'rein'); ?></a>
                <?php endif; ?>  
                <?php if( epcl_get_option('rss_url') != '' ) : ?>
                    <a href="<?php echo esc_url( $epcl_theme['rss_url'] ); ?>" class="rss"><i class="fa fa-rss"></i> <?php esc_html_e('RSS', 'rein'); ?></a>
                <?php endif; ?>
                <div class="clear"></div>
                
            </div>
        <?php endif; ?>

        <?php if( epcl_get_option('mailchimp_url') && epcl_get_option('enable_subscribe_footer') == '1' ): ?>
            <div class="subscribe section <?php if( epcl_get_option('enable_footer_social') == '1') echo 'grid-65 tablet-grid-60 prefix-5'; ?>">
                <div class="grid-container grid-parent np-mobile">
                    <div class="grid-60 right">
                        <?php if( epcl_get_option('title_subscribe') ): ?>
                            <h4 class="title bordered"><?php echo esc_html( epcl_get_option('title_subscribe') ); ?></h4>
                        <?php else: ?>
                            <h4 class="title bordered"><span><?php esc_html_e('Subscribe to', 'rein'); ?> <?php bloginfo('name'); ?></span><span class="border small"></span></h4>
                        <?php endif; ?>
                        <?php if( epcl_get_option('description_subscribe') ): ?>
                            <p><?php echo esc_html( epcl_get_option('description_subscribe') ); ?></p>
                        <?php else: ?>
                            <p><?php esc_html_e('Get the latest posts delivered right to your email.', 'rein'); ?></p>
                        <?php endif; ?>			
                    </div>
                    <div class="grid-40 left">
                        <form method="post" action="<?php echo esc_url( $epcl_theme['mailchimp_url'] ); ?>">
                            <div class="form-group">
                                <input type="email" name="MERGE0" class="inputbox gradient" required placeholder="<?php esc_attr_e('Enter your email address', 'rein'); ?>" aria-label="<?php esc_attr_e('Enter your email address', 'rein'); ?>">
                            </div>
                            <button class="submit" type="submit"><svg class="icon"><use xlink:href="#send-icon"></use></svg></button>
                            <?php wp_nonce_field( 'epcl_subscribe', 'subscribe_nonce' ); ?>
                        </form>
                    </div>
                </div>
            </div>
        <?php endif; ?>

        <div class="clear"></div>

        <?php if( epcl_get_option('enable_footer_instagram') === '1' && epcl_get_option('instagram_id') !== '' && epcl_get_option('instagram_access_token') !== '' ): ?>
            <?php if( !wp_is_mobile() ): ?>
                <!-- start: .epcl-instagram -->
                <!-- <div class="epcl-instagram section np-bottom hide-on-mobile">
                    <div class="images textcenter"></div>
                </div> -->
                <!-- end: .epcl-instagram -->
            <?php endif; ?>
        <?php endif; ?>

    </div>
    <?php if( isset($_GET['footer_widgets']) ) $epcl_theme['enable_footer_widgets'] = 1; ?>
    <?php if( !empty($epcl_theme) && $epcl_theme['enable_footer_widgets'] !== '0'): ?>
        <?php if( is_active_sidebar('epcl_sidebar_footer')  || is_active_sidebar( epcl_get_option('mobile_footer_sidebar') ) ): ?>
            <div class="widgets grid-container">
                <div class="row">
                    <div class="default-sidebar"><?php dynamic_sidebar('epcl_sidebar_footer'); ?></div>
                    <div class="clear"></div>
                    <?php if( epcl_get_option('enable_mobile_footer_sidebar') == true && epcl_get_option('mobile_footer_sidebar') ): ?>
                        <div class="mobile-sidebar hide-on-desktop"><?php dynamic_sidebar( epcl_get_option('mobile_footer_sidebar') ); ?></div>
                    <?php endif; ?>
                    
                    <div class="clear"></div>
                </div>            
            </div>
        <?php endif; ?>
    <?php endif; ?>

    <div class="bottom grid-container gradient-effect">
        <div class="epcl-border"></div>

        <?php if( epcl_get_option('copyright_text') ): ?>
            <div class="published gradient-effect">
                <?php echo wpautop( epcl_get_option('copyright_text') ); ?>
            </div>
        <?php endif; ?>
        
        <?php if( empty($epcl_theme) || $epcl_theme['enable_back_to_top'] == '1' ): ?>
            <a href="javascript:void(0)" id="back-to-top"><?php esc_html_e('Back to top', 'rein'); ?> <i class="fa fa-angle-up"></i></a>
        <?php endif; ?>
    </div>   

</footer>
<!-- end: #footer -->