<?php
$epcl_module = epcl_get_module_options();
if( empty($epcl_module) ) return; // no data from carousel module
$prefix = EPCL_THEMEPREFIX.'_';
$args = array(
	'post_type' => 'post',
	'showposts' => $epcl_module['slider_limit'],
	'suppress_filters' => false,
	'category' => $epcl_module['slider_category'],
	'meta_key' => '_thumbnail_id'
);
$slider = get_posts($args);
$thumbnail_size = 'large';
$i = 0;
?>

<?php if( !empty($slider) ): ?>
    <div class="grid-container grid-large np-mobile np-tablet">
	<!-- start: .epcl-slider -->
	<section class="epcl-slider section slides-<?php echo intval( $epcl_module['slider_show_limit'] ); ?>" data-show="1" data-rtl="<?php echo is_rtl(); ?>" id="<?php echo wp_unique_id('epcl-post-slider-'); ?>">
		<?php foreach($slider as $post): setup_postdata($post); ?>
        	<?php
                $image_id = get_post_thumbnail_id($post->ID);
                $thumb = wp_get_attachment_image_src( $image_id, $thumbnail_size );
                $image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true);
				$image_url = $thumb[0];
                if( function_exists('get_field') ){
                    $optimized_image = get_field('optimized_image_slider', $post->ID);
                    $image_alt = $optimized_image['alt'];
                    if( !empty($optimized_image) ){
                        $image_url = $optimized_image['url'];
                    }
                }                
                if( !$image_alt ){
                    $image_alt = get_the_title();
                }

                $author_id = get_the_author_meta('ID');
                $author_avatar = get_avatar_url( get_the_author_meta('email') );
                $optimized_avatar = get_the_author_meta('avatar');
                if( $optimized_avatar ){
                    $author_avatar = wp_get_attachment_url( $optimized_avatar );
                }
                $author_name = get_the_author();
                if( wp_is_mobile() ){
                    $thumb = wp_get_attachment_image_src( $image_id, 'epcl_single_content' );
                    $image_url = $thumb[0];
                }
			?>
            <div class="item">
                <article>                    
                    <div class="img cover lazy" role="img" aria-label="<?php echo esc_attr($image_alt); ?>" data-src="<?php echo esc_url($image_url); ?>"></div>
                    <!-- .info -->
					<div class="info">
                        <?php echo epcl_render_categories( '' ); ?>
                        <h2 class="title ularge white gradient-effect"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                        <div class="meta">
                            <?php if( $epcl_module['slider_enable_author'] !== false ): ?>
                                <a href="<?php echo get_author_posts_url($author_id); ?>" class="author meta-info" title="<?php echo esc_attr($author_name); ?>">
                                    <?php if($author_avatar): ?>
                                        <span class="author-image cover" style="background-image: url('<?php echo esc_url($author_avatar); ?>');"></span>
                                    <?php endif; ?>
                                    <span class="author-name"><?php echo esc_attr($author_name); ?></span>
                                </a>
                            <?php endif; ?>
                            <time datetime="<?php the_time('Y-m-d'); ?>">
                                <?php the_time( get_option('date_format') ); ?>
                            </time>
                            <div class="clear"></div>
                            <a href="<?php the_permalink(); ?>" class="continue-reading button medium bordered hide-on-mobile"><?php esc_html_e('Continue Reading', 'rein'); ?></a>
                        </div>                        
                    </div>
                    <!-- end: .info -->
					<div class="overlay"></div>
                </article>
            </div>
        <?php $i++; endforeach; wp_reset_postdata(); ?>
	</section>
    <!-- end: .epcl-slider -->
    </div>
<?php endif; ?>
