<?php
$epcl_theme = epcl_get_theme_options();
$epcl_module = epcl_get_module_options();

$index = absint( get_query_var('index') );
$post_class = $optimized_image = '';
if( !get_post_format() && !has_post_thumbnail() ){
    if( function_exists('get_field') ){
        $optimized_image = get_field('optimized_image');
    }
    if( !$optimized_image ){
        $post_class .= ' no-thumb';
    }    
}

$author_id = get_the_author_meta('ID');
$author_avatar = get_avatar_url( get_the_author_meta('email') );
$optimized_avatar = get_the_author_meta('avatar');
if( $optimized_avatar ){
    $author_avatar = wp_get_attachment_url( $optimized_avatar );
}
$author_name = get_the_author();
set_query_var( 'epcl_post_style', 'classic' );
$post_class .= ( $index % 2 ) ? ' even' : ' odd';
$right_class = 'grid-55 tablet-grid-55';
if( !has_post_thumbnail() && get_post_format() == '' || !function_exists('get_fields') ){
    $right_class = 'grid-100';
}
?>

<article <?php post_class('default index-'.$index.' '.$post_class.' grid-100"'); ?>>
    <div class="article-wrapper bg-box">

        <?php epcl_display_post_format( get_post_format(), get_the_ID() );  ?>

        <!-- start: .right -->
        <div class="right <?php echo esc_attr($right_class); ?> mobile-grid-100">
        
            <header>
                <?php echo epcl_render_categories( 'no-thumb alignleft' ); ?>
                <!-- start: .meta -->
                <div class="meta alignright">
                    <?php get_template_part('partials/meta-info'); ?>
                </div>
                <!-- end: .meta -->
                <div class="clear"></div>
                <h1 class="title main-title gradient-effect gradient-large" style="margin-top: 5px;"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>                
            </header>

            <?php if( empty($epcl_theme) || $epcl_theme['classic_display_excerpt'] !== '0' ): ?>
                <div class="post-excerpt">                    
                    <?php the_excerpt(); ?>        
                    <div class="clear"></div>                
                </div>  
            <?php endif; ?>          

            <!-- start: .meta -->
            <div class="meta" style="margin-top: 25px;">
                <?php if( epcl_get_option('classic_display_author') !== '0' ): ?>
                    <a href="<?php echo get_author_posts_url($author_id); ?>" title="<?php echo esc_attr__('Author:', 'rein').' '.esc_attr($author_name); ?>" class="author meta-info hide-on-mobile">                                        
                        <?php if($author_avatar): ?>
                            <span class="author-image cover" style="background-image: url('<?php echo esc_url($author_avatar); ?>');"></span>
                        <?php endif; ?>
                        <span class="author-name"><?php echo esc_attr($author_name); ?></span>
                    </a>
                <?php endif;?>
                <?php if( epcl_get_option('enable_global_date') !== '0' ): ?>
                    <time class="meta-info" datetime="<?php the_time('Y-m-d'); ?>"><?php the_time( get_option('date_format') ); ?></time>  
                <?php endif; ?>  
                <div class="clear"></div>
            </div>
            <!-- end: .meta -->

            <?php if( epcl_get_option('classic_display_reading_button') !== '0' ): ?>
                <a href="<?php the_permalink(); ?>" class="continue-reading button bordered hide-on-mobile"><?php esc_html_e('Continue Reading', 'rein'); ?></a>
            <?php endif; ?>

        </div>   
        <!-- end: .right -->
        <div class="clear"></div>
    </div>
</article>