<?php 
$epcl_theme = epcl_get_theme_options();

$views = 0;
if( function_exists('get_field') && function_exists('get_fields') ){
    $fields = get_fields();
    $views = get_field('views_counter'); // Fix when views are not created
} 
$single_size = 'epcl_page_header';
if( wp_is_mobile() ){
    $single_size = 'epcl_single_content';
}
$post_thumbnail = get_the_post_thumbnail_url($post, $single_size);
// Author information
$author_id = get_the_author_meta('ID');
$author_avatar = get_avatar_url( get_the_author_meta('email') );
$optimized_avatar = get_the_author_meta('avatar');
if( $optimized_avatar ){
    $author_avatar = wp_get_attachment_url( $optimized_avatar );
}
$author_name = get_the_author();
?>
<div class="grid-100">
    <div class="featured-image cover" style="background-image: url('<?php echo esc_url($post_thumbnail); ?>');">
        <div class="info">
            <?php echo epcl_render_categories( '' ); ?>
            <h1 class="title ularge white bold"><?php the_title(); ?></h1>
            <?php if( empty($epcl_theme) || $epcl_theme['single_enable_meta_data'] !== '0' ): ?>
                <div class="meta">
                    <?php if( !empty($epcl_theme) && isset($epcl_theme['enable_author_top']) && $epcl_theme['enable_author_top'] == '1' ): ?>
                        <a href="<?php echo get_author_posts_url($author_id); ?>" title="<?php echo esc_attr__('Author:', 'rein').' '.esc_attr($author_name); ?>" class="author meta-info hide-on-mobile">                                        
                            <?php if($author_avatar): ?>
                                <span class="author-image cover" style="background-image: url('<?php echo esc_url($author_avatar); ?>');"></span>
                            <?php endif; ?>
                            <span class="author-name"><?php echo esc_attr($author_name); ?></span>
                        </a>
                    <?php endif; ?>
                    <time class="meta-info" datetime="<?php the_time('Y-m-d'); ?>"><?php the_time( get_option('date_format') ); ?></time>
                    <?php get_template_part('partials/meta-info'); ?>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>