<?php get_header(); ?>

<?php while(have_posts()): the_post();  ?>
    <?php
	$post_id = get_the_ID();
	$post_thumbnail = get_the_post_thumbnail_url();
	$post_format = get_post_format();

	$post_style = 'standard';
	$single_class = '';
	$enable_sidebar = true;
	if( function_exists('get_field') && function_exists('get_fields') ){
        $views = absint( get_field('views_counter') );
		if(!$views) $views = 0;
        update_post_meta($post_id, 'views_counter', ++$views);

        $fields = get_fields();
		$post_style = get_field('style');
		if( $post_style === '' ) $post_style = 'standard';

		$enable_sidebar = get_field('enable_sidebar');
		if( $enable_sidebar === false ) $single_class .= ' no-sidebar';

	}
	if( $post_style == 'fullcover' ){
		$post_thumbnail = get_the_post_thumbnail_url($post, 'epcl_page_header');
    }
    if( !is_active_sidebar('epcl_sidebar_default') ){
        $enable_sidebar = false;
        $single_class .= ' no-sidebar';
    }
    if( !$post_style || !has_post_thumbnail() ){
        $post_style = 'standard';
    }
    
    if( !empty($epcl_theme) && $epcl_theme['single_post_layout'] === '2' && $post_format == ''){
        $post_style = 'standard';
    }
    if( !empty($epcl_theme) && $epcl_theme['single_post_layout'] === '3' && $post_format == ''){
        $post_style = 'fullcover';
    }
    if( !empty($epcl_theme) && $epcl_theme['enable_post_sidebar'] === '2'){
        $enable_sidebar = true;
        $single_class = '';
    }
    if( !empty($epcl_theme) && $epcl_theme['enable_post_sidebar'] === '3'){
        $enable_sidebar = false;
        $single_class .= ' no-sidebar';
    }
    // Disable featured image globally
    if( !empty($epcl_theme) && isset($epcl_theme['enable_featured_image']) && $epcl_theme['enable_featured_image'] === '0'){
        $post_style = 'standard';
    }
    // Fix featured image titles
    if( !$post_style || !has_post_thumbnail() ){
        $post_style = 'standard';
    }
	?>
	<!-- start: #single -->
	<main id="single" class="main grid-container <?php echo esc_attr($post_style.$single_class); ?>">

		<!-- start: .center -->
	    <div class="center content row">

			<!-- Fullcover Style -->
            <?php if( has_post_thumbnail() && $post_style == 'fullcover' && $post_format == '' ): ?>
                <?php get_template_part('partials/single/fullcover'); ?>
            <?php endif; ?>

            <!-- start: .epcl-page-wrapper -->
            <div class="epcl-page-wrapper">

                <!-- start: .content -->
                <div class="left-content grid-70 np-mobile">

                    <article <?php post_class('main-article bg-box'); ?>>

                        <?php edit_post_link( esc_html__('Edit this post', 'rein'), '', '', '', 'edit-post-button epcl-button hide-on-mobile hide-on-tablet'); ?>
                    
                        <?php if( $post_style == 'standard'): ?>
                            <?php get_template_part('partials/single/standard'); ?>
                        <?php endif; ?>

                        <section class="post-content">

                            <?php
                            if( function_exists( 'epcl_render_global_ads' ) ){
                                epcl_render_global_ads('single_top');
                            }
                            ?>

                            <?php if( $epcl_theme['enable_sticky_share_buttons'] !== '0' && !empty($epcl_theme) && function_exists('epcl_render_share_buttons') ): ?>
                                <div class="epcl-share-container hide-on-mobile">
                                    <?php epcl_render_share_buttons('top'); ?>
                                </div>
                            <?php endif; ?>

                            <div class="text">
                                <?php the_content(); ?>
                                <?php
                                    if ( is_singular( 'attachment' ) ) {
                                        echo '<h2 class="title usmall">'.esc_html__('Published in:', 'rein').'</h2>';
                                        // Parent post navigation.
                                        the_post_navigation();
                                        echo '<br>';
                                    }
                                ?>
                            </div>
                            <div class="clear"></div>

                            <?php
                            if( function_exists( 'epcl_render_global_ads' ) ){
                                epcl_render_global_ads('single_bottom');
                            }
                            ?>  

                            <?php
                                $link_pages_args = array(
                                    'before'           => '<div class="epcl-pagination link-pages section"><div class="nav"><span class="page-number">'.esc_html__( 'Pages', 'rein' ).'</span>',
                                    'after'            => '</div></div>',
                                    'link_before'      => '',
                                    'link_after'       => '',
                                    'next_or_number'   => 'number',
                                    'separator'        => '',
                                    'nextpagelink'     => esc_html__( 'Next', 'rein'),
                                    'previouspagelink' => esc_html__( 'Previous', 'rein' ),
                                    'pagelink'         => '<span class="page-number">%</span>',
                                    'echo'             => 1
                                );
                                wp_link_pages( $link_pages_args );
                            ?>
                            
                            <?php if( get_the_tags() ): ?>
                                <div class="bottom-tags gradient-effect">
                                    <svg class="icon large"><use xlink:href="#tag-icon"></use></svg>
                                    <?php the_tags(''); ?>
                                </div>
                            <?php endif; ?>
                            
                            <?php if( comments_open() ): ?>
                                <div class="section show-comments">
                                    <a href="javascript:void(0)" class="button large icon bordered" data-text="<?php esc_html_e('Show Comments', 'rein'); ?>" data-text-active="<?php esc_attr_e('Hide Comments', 'rein'); ?>"><span><?php esc_html_e('Show Comments', 'rein'); ?></span> <svg class="icon large"><use xlink:href="#arrow-down-icon"></use></svg></a>
                                </div>
                            <?php endif; ?>

                            <div class="epcl-comments hidden">

                                <?php if( $epcl_theme['hosted_comments'] == 1 || empty($epcl_theme) ): // Self Hosted ?>
                                    <?php comments_template(); ?>
                                <?php endif; ?>

                                <?php if( $epcl_theme['hosted_comments'] == 2 && $epcl_theme['disqus_id'] ): // Disqus ?>
                                    <!-- start: disqus integration -->
                                    <div id="comments" class="section">
                                        <h3 class="title bordered no-margin"><?php esc_html_e('Comments', 'rein'); ?><span class="border"></span></h3>
                                        <div id="disqus_thread"></div>
                                    </div>
                                    <noscript><?php esc_html_e('Please enable JavaScript to view the', 'rein'); ?> <a href="https://disqus.com/?ref_noscript" rel="nofollow"><?php esc_html_e('comments powered by Disqus.', 'rein'); ?></a></noscript>
                                    <!-- end: disqus integration -->
                                <?php endif; ?>

                                <?php if( $epcl_theme['hosted_comments'] == 3 ): // Disqus ?>
                                    <!-- start: facebook comments -->
                                    <div id="comments" class="section">
                                        <h3 class="title bordered no-margin"><?php esc_html_e('Comments', 'rein'); ?><span class="border"></span></h3>
                                        <div class="clear"></div>
                                        <div class="fb-comments" data-href="<?php the_permalink(); ?>" data-width="100%" data-numposts="5" data-colorscheme="dark"></div>
                                    </div>
                                    <!-- end: facebook comments -->
                                    <div id="fb-root"></div>                        
                                <?php endif; ?>

                                <div class="clear"></div>

                            </div>

                            <?php get_template_part('partials/author-box'); ?>                           

                            <?php if( $epcl_theme['enable_share_buttons'] != false && !empty($epcl_theme) && function_exists('epcl_render_share_buttons') ): ?>
                                <!-- start: .share-buttons -->
                                <div class="share-buttons section">
                                    <h5 class="title small"><?php esc_html_e('Share Article:', 'rein'); ?></h5>
                                    <?php epcl_render_share_buttons('bottom'); ?>
                                    <div class="clear"></div>
                                    <div class="permalink">
                                        <input type="text" name="shortlink" value="<?php echo urldecode( get_the_permalink() ); ?>" id="copy-link" readonly>
                                        <span class="copy"><svg class="icon large"><use xlink:href="#copy-icon"></use></svg></span>
                                    </div>
                                </div>
                                <!-- end: .share-buttons -->
                            <?php endif; ?>

                        </section>

                    </article>
                    
                    <?php if( epcl_get_option('related_posts') === '1' ): ?>

                        <?php
                        $args = array(
                            'posts_per_page' => '3',
                            'category__in' => wp_get_post_categories($post_id),
                            'post__not_in' => array($post_id),
                            'post_type' => 'post',
                            'order' => 'DESC',
                        );
                        $query_related = new WP_Query($args);
                        ?>
                        <?php if( $query_related->have_posts() ): ?>
                            <section class="related section np-bottom" id="epcl-related-stories">
                                <h3 class="title bordered"><span class="bg"><?php esc_html_e('You might also like', 'rein'); ?></span><span class="border"></span></h3>
                                <div class="row">
                                    <?php while( $query_related->have_posts() ): $query_related->the_post(); ?>
                                        <article class="prev grid-33 tablet-grid-33 mobile-grid-50">
                                            <a href="<?php the_permalink(); ?>" class="hover-effect"><?php the_post_thumbnail( 'epcl_single_related' ); ?></a>
                                            <div class="info">
                                                <h4 class="title white usmall no-margin gradient-effect"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
                                                <time datetime="<?php the_time('Y-m-d'); ?>"><?php the_time( get_option('date_format') ); ?></time>
                                            </div>
                                        </article>
                                    <?php endwhile; ?>
                                    <div class="clear"></div>
                                </div>
                            </section>
                        <?php wp_reset_postdata(); endif; ?>

                    <?php endif; ?>

                    <div class="clear"></div>                    

                    <?php if( epcl_get_option('siblings_posts') === '1' ): ?>

                        <section class="siblings section" id="epcl-other-stories">
                            <h3 class="title bordered"><span class="bg"><?php esc_html_e('Other stories', 'rein'); ?></span><span class="border"></span></h3>
                            <?php
                            $next_post = get_next_post();
                            if( !empty($next_post) ){
                                $next_url = get_the_permalink($next_post->ID);
                                $next_thumb = get_the_post_thumbnail_url($next_post->ID, 'large');
                            }
                            ?>
                            <?php if( !empty($next_post) ): ?>
                                <article class="next">
                                    <?php if($next_thumb): ?>
                                        <?php if( epcl_get_option('enable_lazyload_posts') == '1'): ?>
                                            <div class="thumb cover lazy" data-src="<?php echo esc_url($next_thumb); ?>"></div>
                                        <?php else: ?>
                                            <div class="thumb cover" style="background: url('<?php echo esc_url($next_thumb); ?>');"></div>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                    <a href="<?php echo esc_url($next_url); ?>" class="full-link"></a>                            
                                    <div class="info">
                                        <h4 class="title white medium no-margin"><?php echo get_the_title($next_post->ID); ?></h4>  
                                        <time class="small" datetime="<?php echo get_the_time('Y-m-d', $next_post); ?>">
                                            <?php echo get_the_time( get_option('date_format'), $next_post ); ?>
                                        </time>                              
                                    </div>
                                    <span class="epcl-button hide-on-mobile"><?php esc_html_e('Next Story', 'rein'); ?></span>
                                    <div class="overlay"></div>
                                </article>
                            <?php endif; ?>
                            
                            <?php
                            $prev_post = get_previous_post();
                            if( !empty($prev_post) ){
                                $prev_url = get_the_permalink($prev_post->ID);
                                $prev_thumb = get_the_post_thumbnail_url($prev_post->ID, 'large');
                            }
                            ?>
                            <?php if( !empty($prev_post) ): ?>
                                <article class="prev">
                                    <?php if($prev_thumb): ?>
                                        <?php if( epcl_get_option('enable_lazyload_posts') == '1'): ?>
                                            <div class="thumb cover lazy" data-src="<?php echo esc_url($prev_thumb); ?>"></div>
                                        <?php else: ?>
                                            <div class="thumb cover" style="background: url('<?php echo esc_url($prev_thumb); ?>');"></div>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                    <a href="<?php echo esc_url($prev_url); ?>" class="full-link"></a>                              
                                    <div class="info">
                                        <h4 class="title white medium no-margin"><?php echo get_the_title($prev_post->ID); ?></h4>
                                        <time class="small" datetime="<?php echo get_the_time('Y-m-d', $prev_post); ?>">
                                            <?php echo get_the_time( get_option('date_format'), $prev_post ); ?>
                                        </time>
                                    </div>                                
                                    <span class="epcl-button hide-on-mobile"><?php esc_html_e('Previous Story', 'rein'); ?></span>
                                    <div class="overlay"></div>
                                </article>
                            <?php endif; ?>
                            <div class="clear"></div>
                        </section>

                    <?php endif; ?>

                    <div class="clear"></div>

                </div>
                <!-- end: .content -->

                <?php
                if( $enable_sidebar !== false ){
                    get_sidebar();
                }
                ?>

            </div>
            <!-- end: .center -->
        
        </div>
        <!-- end: .epcl-page-wrapper -->

	</main>
	<!-- end: #single -->

<?php endwhile; ?>

<?php get_footer(); ?>
